#
# Conditional build:
%bcond_without	python2	# Python 2.x modules
%bcond_without	python3	# Python 3.x modules
#
# NOTE
# - as we use system tzdata package, keeping this pkg up to the latest is
#   pointless if only data has changed
%define 	module	pytz
Summary:	pytz - Olson timezone database in Python
Summary(pl.UTF-8):	pytz - baza stref czasowych Olsona w Pythonie
Name:		python-%{module}
Version:	2013d
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/p/pytz/%{module}-%{version}.tar.bz2
# Source0-md5:	634c5fab45c6ebaf35985acf0080011f
Patch0:		zoneinfo.patch
URL:		http://pytz.sourceforge.net/
BuildRequires:	sed >= 4.0
%if %{with python2}
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python >= 1:2.3
%endif
%if %{with python3}
BuildRequires:	python3-devel
%endif
BuildRequires:	rpmbuild(macros) >= 1.469
%if %{with python2}
Requires:	python >= 1:2.3
%endif
Requires:	tzdata >= %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pytz brings the Olson tz database into Python. This library allows
accurate and cross platform timezone calculations using Python 2.3 or
higher.

%description -l pl.UTF-8
pytz dodaje do Pythona moduł umożliwiający odpytywanie bazy stref
czasowych Olsona. Moduł ten umożliwia przeprowadzanie dokładnych,
niezależnych od platformy obliczeń uwzględniających strefy czasowe
przy użyciu Pythona w wersji co najmniej 2.3.

%package -n python3-%{module}
Summary:	pytz - Olson timezone database in Python 3.x
Summary(pl.UTF-8):	pytz - baza stref czasowych Olsona w Pythonie 3.x
Group:		Libraries/Python
Requires:	tzdata >= %{version}

%description -n python3-%{module}
pytz brings the Olson tz database into Python. This library allows
accurate and cross platform timezone calculations using Python 3.x

%description -n python3-%{module} -l pl.UTF-8
pytz dodaje do Pythona moduł umożliwiający odpytywanie bazy stref
czasowych Olsona. Moduł ten umożliwia przeprowadzanie dokładnych,
niezależnych od platformy obliczeń uwzględniających strefy czasowe
przy użyciu Pythona 3.x

%prep
%setup -q -n %{module}-%{version}

# strip zones list before patching
%{__sed} -i -e "/^all_timezones = \\\\/,/^ 'Zulu'/d" \
	-e "/^common_timezones = \\\\/,/ 'UTC'/d" pytz/__init__.py

%patch0 -p1

%build
%if %{with python2}
%{__python} setup.py build --build-base py2
%py_lint
%endif
%if %{with python3}
%{__python3} setup.py build --build-base py3
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%{__python} setup.py \
	build --build-base py2 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/pytz/zoneinfo
%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base py3 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.txt LICENSE.txt README.txt
%{py_sitescriptdir}/pytz
%{py_sitescriptdir}/pytz-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.txt LICENSE.txt README.txt
%{py3_sitescriptdir}/pytz
%{py3_sitescriptdir}/pytz-%{version}-py*.egg-info
%endif
%changelog
* Fri Nov 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pytz.git;a=log;h=master

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 0dbea9c
- updated to 2013d
- updated zoneinfo patch

* Sat Mar 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 41af14b
- up to 2013b

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> 76c6534
- up to 2012j

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 18a0473
- release 3 (by relup.sh)

* Wed Jul 18 2012 Artur Frysiak <artur@frysiak.net> 0089fbb
- Python 3.x version

* Wed Jul 18 2012 Artur Frysiak <artur@frysiak.net> cf0a367
- Up to 2012c

* Sun Nov 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 3342699
- up to 2011n
- more doc files, pl typo
- require tzdata not older than originally included data

* Wed May 11 2011 Elan Ruusamäe <glen@pld-linux.org> 82cff73
- up to 2011g, no functional changes

* Wed Mar 09 2011 Elan Ruusamäe <glen@pld-linux.org> 7fcad8f
- up to 2011c, adds Python 3.1 support.

* Fri Nov 19 2010 Elan Ruusamäe <glen@pld-linux.org> 56c2276
- up to 2010o, some code changes

* Fri Nov 19 2010 Elan Ruusamäe <glen@pld-linux.org> ca395e0
- ws cleanup

* Fri Nov 19 2010 Elan Ruusamäe <glen@pld-linux.org> 6d89867
- strip zones list before patching

* Mon Sep 06 2010 Elan Ruusamäe <glen@pld-linux.org> b3e14e5
- up to 2010l, use system tzdata patch adopted from fedora

* Mon Sep 06 2010 Elan Ruusamäe <glen@pld-linux.org> a11d47b
- up to 2010l

* Mon Sep 06 2010 Elan Ruusamäe <glen@pld-linux.org> bdc0a5d
- from use system tzdata files, from fedora pytz-2010h_zoneinfo.patch

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d255a4f
- release 2

* Sun Oct 11 2009 Artur Frysiak <artur@frysiak.net> aa06466
- updated to 2009n

* Sat May 30 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 2df1d82
- package *.egg-info

* Fri May 29 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 63825ff
- up to 2009g
- rel 1
- clean up build and install
- thx to Lukasz Kies kiesiu\kiesiu//com

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 42e62e9
- release 2

